package com.sptg.permissions.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.sptg.common.core.beans.PageBean;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.permissions.api.dto.AppPackageDto;
import com.sptg.permissions.api.entity.AppPackage;

import java.util.List;

/**
 * title: AppPackageServiceInterface
 * package: com.sptg.permissions.biz.service
 * description:app安装包-服务层接口
 *
 *
 *
 */
public interface AppPackageServiceInterface extends IService<AppPackage> {

    /**
     * 功能描述:app安装包分页查询
     * @param pageBean
     * @return Page<AppPackage>
     *
     *
     */
    Page<AppPackage> pagingQuery(PageBean<AppPackage, AppPackageDto> pageBean);

    List<AppPackage> getListByLikeVersion(AppPackageDto dto);

    List<AppPackage> getListByModelAndFactory(String model, String factory);

    List<AppPackage> getListByVersion(String version);

    List<AppPackage> getListByPackageName(String packageName);

    AppPackage getRestoreWithModelAndFactory(String model, String factory);
}
